> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/directory/directoryusdmount.md).

# Directory$mount

### Directory$<mark style="color:purple;">mount</mark>(*path=getwd()*) → void

Mounts the virtual directory on disk, without initially download files. Files will then be loaded incrementally as accessed – similar to how cloud-synced files exist in Google Drive, Dropbox, etc.

{% hint style="warning" %}
This method doesn't currently work within the free-tier Redivis notebooks, but is available within custom notebook VMs.
{% endhint %}

{% hint style="info" %}
This method requires `libfuse` to be installed. This comes standard in many Linux distributions, but may need to be installed through your package manager. If you are running in a Docker environment, or under certain security restrictions, you may need to take additional steps to enable libfuse.

For MacOS users, install [FUSE-T](https://www.fuse-t.org/home) (recommended) or [macFUSE](https://macfuse.github.io/). Windows functionality is untested at this time.
{% endhint %}

### **Parameters:**

**`path` :&#x20;*****str***\
The mount path for the directory. Will automatically create any subdirectories as needed. If not specified, will be mounted as a subfolder within the current working directory.&#x20;

### **Returns:**&#x20;

**void**

### Examples:

```r
dir <- redivis$table("table_ref")$to_directory()

# All files are now (instantaneously!) available on the local filesystem, though they
#     will need to be downloaded as they are accessed.
dir$mount("/scratch/files")

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/directory/directoryusdmount.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
